/i/groups/update

Update an existing group

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

New group's data is provided in args parameter as stringified JSON. Key-value pairs in this JSON object is as follows:

name/keyrequired?typedescription
_idyesyesGroup's DB id. Shown as GROUP_ID in endpoints results above.
nameyesStringName of the group
groupIDyesStringID of group. Typically name of group lowercased and special chars removed. Example:
name: "Junior Developers (test)"
groupID: "junior-developers-test"
global_adminyesBooleanIf group users are given global admin privileges.
admin_ofnoArray[String]Array of app ids where group users are given admin privileges.
user_ofnoArray[String]Array of app ids where group users are given user privileges.
usersnoArray[String]Array of user ids to add to the group

Here is an example of args object:

{  
  "_id": "GROUP_ID",
  "name": "tester",
  "groupID": "tester",
  "global_admin": false,
  "user_of": [
    "58650a47cc2ed563c5ad964c"  // APP ID
  ],
  "users": [
    "5d4290788c5581156db06f7f"  // USER ID
  ]
}
Query Params
string

Admin API_KEY

string

JSON string encoding group's updated data. See note below for data scheme.

Responses

Language
Credentials
Basic
base64
:
LoadingLoading…
Response
Choose an example:
application/json